Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/README-setup-configs
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/README-setup-configs	(revision 10288)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/README-setup-configs	(revision 10288)
@@ -0,0 +1,53 @@
+==============================================================
+== HOW TO set up user’s configuration in NEMO version 4.0 : ==
+==============================================================
+This document describes how a configuration is set up in NEMO.
+
+In NEMO 4.0 two types of configurations can be build: global/regional and idealized.
+
+- create ./cfgs/your_config
+- case 1: regional or global 
+    => ln_read_cfg = .true. in ./cfgs/your_config/EXP00/namelist_cfg (i.e. read domain_cfg.nc)
+- case 2: idealized 
+    =>in ./cfgs/your_config/EXP00/namelist_cfg :
+      ln_read_cfg = .false. (need to define usrdef_hgr.F90 and usrdef_zgr.F90) 
+      ln_usr = .true.       (need to define usrdef_sbc.F90)    
+    => copy ./src/OCE/USR in ./cfgs/your_config/MY_SRC routines nedeed to set up domain, forcing fields and initial state
+    
+  Routines in NEMOGCM/NEMO/OCE/USR define analytically the domain, the initial state and the surface boundary conditions for the reference configuration GYRE.
+	  •	usrdef_hgr.F90 and usrdef_zgr.F90 : define horizontal and vertical grid
+	  •	usrdef_sbc.F90    : provides at each time-step the surface boundary condition, i.e. the momentum, heat and freshwater fluxes
+	  •	usrdef_istate.F90 : defines initialization of the dynamics and tracers
+	  •	usrdef_fmask.F90  : used just in ORCA CONFIGURATIONS for alteration of f-point land/ocean mask in some straits 
+	  •	usrdef_closea.F90 : used just in ORCA CONFIGURATIONS for specific treatments associated with closed seas
+	  •	usrdef_nam.F90    : set the domain characteristics of a user configuration
+
+  Other analytical examples are given in ./tests.
+
+===========================================
+== The domain_cfg.nc file must contain : ==
+===========================================
+   int ORCA  , ORCA_index            : configuration name, configuration resolution
+   int jpiglo, jpjglo , jpkglo       : global domain sizes 
+   int jperio                        : lateral global domain b.c. 
+   int ln_zco, ln_zps, ln_sco        : flags for z-coordinate, z-coordinate with partial steps and s-coordinate 
+   int ln_isfcav                     : flag  for ice shelf cavities 
+   double glamt, glamu, glamv, glamf : geographic position 
+   double gphit, gphiu, gphiv, gphif : geographic position
+   double iff, ff_f, ff_t            : Coriolis parameter (if not on the sphere)
+   double e1t, e1u, e1v, e1f         : horizontal scale factors
+   double e2t, e2u, e2v, e2f         : horizontal scale factors
+   double ie1e2u_v, e1e2u, e1e2v     : U and V surfaces (if grid size reduction in some straits)
+   double e3t_1d, e3w_1d             : reference vertical scale factors at T and W points
+   double e3t_0, e3u_0, e3v_0, e3f_0, e3w_0 : vertical scale factors 3D coordinate at T,U,V,F and W points
+   double e3uw_0,e3vw_0              : vertical scale factors 3D coordinate at UW and VW points
+   int bottom_level, top_level       : last wet T-points, 1st wet T-points (for ice shelf cavities)
+
+=======================================
+= HOW TO CREATE domain_cfg.nc file : ==
+=======================================
+Two options are possible :
+
+ - users can create with his own tool the domain_cfg.nc with all mandatory fields.  
+
+ - tool is available in ./tools/DOMAINcfg based on NEMO 3.6 version. See ./tools/DOMAINcfg/README.
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_fmask.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_fmask.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_fmask.F90	(revision 10288)
@@ -30,6 +30,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$ 
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_hgr.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_hgr.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_hgr.F90	(revision 10288)
@@ -28,6 +28,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$ 
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_istate.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_istate.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_istate.F90	(revision 10288)
@@ -26,6 +26,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$ 
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_nam.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_nam.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_nam.F90	(revision 10288)
@@ -32,6 +32,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$ 
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_sbc.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_sbc.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_sbc.F90	(revision 10288)
@@ -34,6 +34,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_zgr.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_zgr.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/USR/usrdef_zgr.F90	(revision 10288)
@@ -33,6 +33,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS             
@@ -204,5 +204,5 @@
       CALL lbc_lnk( z2d, 'T', 1. )           ! set surrounding land to zero (here jperio=0 ==>> closed)
       !
-      k_bot(:,:) = INT( z2d(:,:) )           ! =jpkm1 over the ocean point, =0 elsewhere
+      k_bot(:,:) = NINT( z2d(:,:) )           ! =jpkm1 over the ocean point, =0 elsewhere
       !
       k_top(:,:) = MIN( 1 , k_bot(:,:) )     ! = 1    over the ocean point, =0 elsewhere
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdf_oce.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdf_oce.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdf_oce.F90	(revision 10288)
@@ -54,5 +54,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfddm.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfddm.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfddm.F90	(revision 10288)
@@ -34,5 +34,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfdrg.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfdrg.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfdrg.F90	(revision 10288)
@@ -76,6 +76,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id: zdfdrg.F90 7753 2017-03-03 11:46:59Z gm $
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfevd.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfevd.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfevd.F90	(revision 10288)
@@ -34,5 +34,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfgls.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfgls.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfgls.F90	(revision 10288)
@@ -108,5 +108,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfiwm.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfiwm.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfiwm.F90	(revision 10288)
@@ -52,6 +52,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id: zdfiwm.F90 8093 2017-05-30 08:13:14Z gm $
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfmxl.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfmxl.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfmxl.F90	(revision 10288)
@@ -38,5 +38,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfosm.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfosm.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfosm.F90	(revision 10288)
@@ -106,5 +106,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfphy.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfphy.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfphy.F90	(revision 10288)
@@ -56,6 +56,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id: zdfphy.F90 8160 2017-06-10 07:31:34Z gm $
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfric.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfric.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfric.F90	(revision 10288)
@@ -54,5 +54,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfsh2.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfsh2.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfsh2.F90	(revision 10288)
@@ -23,6 +23,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id: $
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfswm.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfswm.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdfswm.F90	(revision 10288)
@@ -28,7 +28,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdftke.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdftke.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/ZDF/zdftke.F90	(revision 10288)
@@ -93,5 +93,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/lib_cray.f90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/lib_cray.f90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/lib_cray.f90	(revision 10288)
@@ -5,9 +5,9 @@
 !  
 !  wheneq
-!!----------------------------------------------------------------------
-!!  OPA 9.0 , NEMO Consortium (2018) 
-!! $Id$ 
-!! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-!!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
+   !! $Id$ 
+   !! Software governed by the CeCILL license (see ./LICENSE)
+   !!----------------------------------------------------------------------
 SUBROUTINE lib_cray
       WRITE(*,*) 'lib_cray: You should not have seen this print! error?'
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/lib_fortran.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/lib_fortran.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/lib_fortran.F90	(revision 10288)
@@ -58,5 +58,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/module_example
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/module_example	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/module_example	(revision 10288)
@@ -53,5 +53,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/nemo.f90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/nemo.f90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/nemo.f90	(revision 10288)
@@ -13,5 +13,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
    !
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/nemogcm.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/nemogcm.F90	(revision 10288)
@@ -105,5 +105,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/oce.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/oce.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/oce.F90	(revision 10288)
@@ -70,5 +70,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/par_kind.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/par_kind.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/par_kind.F90	(revision 10288)
@@ -36,5 +36,5 @@
    !! NEMO 3.3 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 END MODULE par_kind
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/par_oce.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/par_oce.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/par_oce.F90	(revision 10288)
@@ -79,5 +79,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!======================================================================
 END MODULE par_oce
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/step.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/step.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/step.F90	(revision 10288)
@@ -48,5 +48,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/step_oce.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/step_oce.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/step_oce.F90	(revision 10288)
@@ -112,5 +112,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!======================================================================
 END MODULE step_oce
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/stpctl.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/stpctl.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/stpctl.F90	(revision 10288)
@@ -36,5 +36,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -114,5 +114,5 @@
          CALL mpp_max_multiple( zmax(:), 5 )    ! max over the global domain
          !
-         nstop = INT( zmax(5) )                 ! nstop indicator sheared among all local domains
+         nstop = NINT( zmax(5) )                 ! nstop indicator sheared among all local domains
       ENDIF
       !
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/timing.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/timing.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/timing.F90	(revision 10288)
@@ -79,5 +79,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -211,5 +211,5 @@
          WRITE(numtime,*) '                             NEMO team'
          WRITE(numtime,*) '                  Ocean General Circulation Model'
-         WRITE(numtime,*) '                        version 3.6  (2015) '
+         WRITE(numtime,*) '                        version 4.0  (2018) '
          WRITE(numtime,*)
          WRITE(numtime,*) '                        Timing Informations '
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/trc_oce.F90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/trc_oce.F90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/trc_oce.F90	(revision 10288)
@@ -46,5 +46,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/vectopt_loop_substitute.h90
===================================================================
--- /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/vectopt_loop_substitute.h90	(revision 10287)
+++ /NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/vectopt_loop_substitute.h90	(revision 10288)
@@ -8,5 +8,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 #if defined key_vectopt_loop
